# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
PortPoint Class Reference
Inheritance diagram for PortPoint:

## Public Member Functions
unsigned | getIndex ()
| returns the index of the port associated to the portPoint.
| PortPoint (unsigned idx)
| creates a new wire point associated to a port. More...

## Detailed Description

this class describes a wire point associated to a Port.

## Constructor & Destructor Documentation

## ◆ PortPoint()

PortPoint | ( | unsigned | idx | ) |
| inline

creates a new wire point associated to a port.

Parameters

  idx | the index of the port associated to the portPoint.

Note
  The index of the port is only valid considering the net to which the wire is relative.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved